#! /bin/sh -e
## 03_examples.dpatch by  <zack@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

if [ $# -lt 1 ]; then
    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
    exit 1
fi

[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"

case "$1" in
    -patch) patch -p1 ${patch_opts} < $0;;
    -unpatch) patch -R -p1 ${patch_opts} < $0;;
    *)
        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
        exit 1;;
esac

exit 0

@DPATCH@
diff -urNad /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/dump/Makefile postgresql-ocaml-1.3.3/examples/dump/Makefile
--- /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/dump/Makefile	2004-01-28 18:14:59.000000000 +0100
+++ postgresql-ocaml-1.3.3/examples/dump/Makefile	2004-05-04 16:40:33.057062192 +0200
@@ -1,8 +1,8 @@
-OCAMLMAKEFILE = ../../OCamlMakefile
+OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
 
 SOURCES = dump.ml
-INCDIRS = ../../lib
-LIBDIRS = ../../lib
+INCDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
+LIBDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
 LIBS    = postgresql
 RESULT  = dump
 
diff -urNad /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/populate/Makefile postgresql-ocaml-1.3.3/examples/populate/Makefile
--- /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/populate/Makefile	2004-01-28 18:15:00.000000000 +0100
+++ postgresql-ocaml-1.3.3/examples/populate/Makefile	2004-05-04 16:40:36.453545848 +0200
@@ -1,8 +1,8 @@
-OCAMLMAKEFILE = ../../OCamlMakefile
+OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
 
 SOURCES = populate.ml
-INCDIRS = ../../lib
-LIBDIRS = ../../lib
+INCDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
+LIBDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
 LIBS    = postgresql
 RESULT  = populate
 
diff -urNad /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/prompt/Makefile postgresql-ocaml-1.3.3/examples/prompt/Makefile
--- /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/prompt/Makefile	2004-01-28 18:15:00.000000000 +0100
+++ postgresql-ocaml-1.3.3/examples/prompt/Makefile	2004-05-04 16:40:43.732439288 +0200
@@ -1,8 +1,8 @@
-OCAMLMAKEFILE = ../../OCamlMakefile
+OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
 
 SOURCES = prompt.ml
-INCDIRS = ../../lib
-LIBDIRS = ../../lib
+INCDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
+LIBDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
 LIBS    = postgresql
 THREADS = yes
 RESULT  = prompt
diff -urNad /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/prompt_gtk/Makefile postgresql-ocaml-1.3.3/examples/prompt_gtk/Makefile
--- /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/prompt_gtk/Makefile	2004-01-28 18:15:00.000000000 +0100
+++ postgresql-ocaml-1.3.3/examples/prompt_gtk/Makefile	2004-05-04 16:40:40.384948184 +0200
@@ -1,8 +1,8 @@
-OCAMLMAKEFILE = ../../OCamlMakefile
+OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
 
 SOURCES = prompt_gtk.ml
-INCDIRS = ../../lib
-LIBDIRS = ../../lib
+INCDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
+LIBDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
 LIBS    = postgresql
 PACKS   = lablgtk
 OCAMLBLDFLAGS = gtkInit.cmo
diff -urNad /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/test_lo/Makefile postgresql-ocaml-1.3.3/examples/test_lo/Makefile
--- /home/zack/dati/debian/packages/postgresql-ocaml/postgresql-ocaml-1.3.3/examples/test_lo/Makefile	2004-01-28 18:15:00.000000000 +0100
+++ postgresql-ocaml-1.3.3/examples/test_lo/Makefile	2004-05-04 16:40:48.574703152 +0200
@@ -1,8 +1,8 @@
-OCAMLMAKEFILE = ../../OCamlMakefile
+OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
 
 SOURCES = test_lo.ml
-INCDIRS = ../../lib
-LIBDIRS = ../../lib
+INCDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
+LIBDIRS = /usr/lib/ocaml/@OCamlABI@/postgresql
 LIBS    = postgresql
 RESULT  = test_lo
 
